var global_document_url = global_document_url || null;
var global_offset = 0;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	
	//http://www.liveleak.com/view?i=413_1446563345
	if(-1 == vid_mate_url.indexOf("/view?"))
	{
		return null;
	}
	
	var video_id = null;
	video_id = vid_mate_get_parameter(vid_mate_url, "i");
	if(video_id ==null || video_id.length <= 0)
	{
	   return null;
	}
	
	return video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    url = document.URL;
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	global_document_url = url;
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('liveleak 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoImg = "";
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "liveleak";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

    if(-1 != global_document_url.indexOf("view"))
    {
		var video_url = null;
		video_url = cutstr(vm_content, "<source src=\"", "\"");
		
		if(video_url)
		{
			var tmp_video_file = new vid_mate_video_file();
			tmp_video_file.url = video_url;
			var tmp_format = "mp4";
			tmp_video_file.format = tmp_format;
			tmp_video_file.title = tmp_format;
			tmp_video_file.f_id = rtn_video.id;
			rtn_video.files.push(tmp_video_file);	
		}
		else
		{
			vid_mate_error_default('liveleak 3');
			return null;
		}				
	}
	else
	{
	   vid_mate_error_default('liveleak 2');
	   return null;
	}
	
	videoImg = cutstr(vm_content, " poster=\"", "\"");
	rtn_video.picture_default = videoImg;
    rtn_video.picture_big = videoImg;
	
	var tmp_title = "";
	tmp_title = cutstr(vm_content, "<title>", "</title>");
	if(!tmp_title || tmp_title.length <= 0)
	{
		tmp_title = "liveleak download mp4";
	}
	
	rtn_video.title = tmp_title;
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}