var global_document_url = global_document_url || null;
var global_video_id = global_video_id || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	
	if(-1 == vid_mate_url.indexOf("showmovie.php"))
	{
		return null;
	}

	var video_id = null;
	if(-1 != vid_mate_url.indexOf("3gpmania.co") || -1 != vid_mate_url.indexOf("mp4mania.com"))
	{
		video_id = vid_mate_get_parameter(vid_mate_url, "id");
		if(!video_id)
		{
			video_id = null;
		}
		else
		{
			global_document_url = vid_mate_url;
		}
	}
	
	return video_id;
}

function vid_mate_check() 
{
	if (vid_mate_get_video_id() == null) 
	{
		vid_mate_set_canDownload(false);
		return false;
	} 
	else 
	{
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');
	global_video_id = vid_mate_get_video_id(url);
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info.. ..');
		if(global_document_url)
		{
			var referer = global_document_url;
			var cookie = "";
			if(window.vbrowser.httpGetCookie)
			{
				cookie = window.vbrowser.httpGetCookie(global_document_url);
			}
			else
			{
				cookie = document.cookie;
			}
			
			var userAgent = "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.87 Safari/537.36";
			var method = "get";
			var data = "";
			var tmp_url = "http://xapi.apk.vidmate.net/movie_page_source.php?url=" + encodeURIComponent(global_document_url);
			vid_mate_app_xhr_adv(tmp_url, referer, cookie, userAgent, method, data);
		}
	} catch (e) {
		vid_mate_error_default('mania 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{	
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var video_json = eval("(" + vm_content + ")");
	var videos = video_json['data'];
	
	if(!videos || videos == "")
	{
		vid_mate_error_default('data is empty');
		return null;
	}
		
	global_video_id = vid_mate_get_video_id(global_document_url);
	var videoUrl = null
	var videoTitle = videos['title'];
	var videoImg = videos['poster'];
	
	videos = videos['files'];
	if(!videos || videos.length <= 0)
	{
		vid_mate_error_default('resource is empty');
		return null;
	}
	
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "mp4movies";
	rtn_video.id = global_video_id;
	rtn_video.js_ver = "1.01";
	rtn_video.js_info = "20160329: first version";
	
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;
	rtn_video.title = videoTitle;
	
	for(var i = 0; i < videos.length; i++)
	{
		var tmp_video_file = new vid_mate_video_file();	
		tmp_video_file.url = videos[i].file_url;
		var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
		tmp_video_file.format = tmp_format;
		tmp_video_file.title = videos[i].file_name;
		tmp_video_file.length = videos[i].file_length;
		tmp_video_file.f_id = rtn_video.id + "_" + i;
		rtn_video.files.push(tmp_video_file);
	}
	
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

function cut_all(content, prefix, suffix)
{
        global_offset = 0;
        var ret_array = [];
        while(global_offset < content.length)
        {
                var str = cutstr_ex(content, prefix, suffix);
                if(null == str)
                {
                        break;
                }
                ret_array.push(str);
        }
        global_offset = 0;
        return ret_array;
}

function cutstr_ex(content, prefix, suffix)
{
        var prefix_len = prefix.length;
        var p1 = content.indexOf(prefix, global_offset);
        if(-1 == p1)
        {
                return null;
        }
        p1 += prefix_len;
        var p2 = content.indexOf(suffix, p1);
        if(-1 == p2)
        {
                return null;
        }
        global_offset = p2 + suffix.length;
        return content.substring(p1, p2);
}


