var global_document_url = "";
var global_vid_mate_video_id = "";

function vid_mate_get_video_id(url) 
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://m.l7n.me/audio/054b1c56
	if(-1 == vid_mate_url.indexOf("/audio/"))
	{
		return null;
	}
	
	var arr = vid_mate_url.split("/");
	if(arr.length >= 5)
	{
		return arr[4];
	}
	
	return null;
}

function vid_mate_check(url) 
{
	if (vid_mate_get_video_id(url) == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url) 
{
    url = url || document.URL;
    vid_mate_setParseMsg(10, 20, 'Start Analytics');
    global_vid_mate_video_id = vid_mate_get_video_id(url);
    global_document_url = url;
    try {
        vid_mate_setParseMsg(20, 60, 'Get Video Info.. ..');
        var referer = url;
        var cookie = "";
        if(window.vbrowser.httpGetCookie)
        {
            cookie = window.vbrowser.httpGetCookie(global_document_url);
        }
        else
        {
            cookie = document.cookie;
        }

        var userAgent = "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.87 Safari/537.36";
        var method = "get";
        var data = "";
        vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
    } catch (e) {
        vid_mate_error_default('l7nme 1');
        return null;
    }
}

function vid_mate_video_analytics(vm_content) 
{
	if(!vm_content)
	{
	    vid_mate_error_default('vm_content is empty.');
        return null;
	}
	
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "l7nme";
	rtn_video.js_ver = '1.01';
	rtn_video.js_info = 'first ver';
	
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = global_vid_mate_video_id;

	var videoTitle = cutstr(vm_content, "<title>", "</title>");
	if(!videoTitle)
	{
		videoTitle = "download l7n.me mp4";
	}
	
	var videoImg = null;
	var videoUrl = rcutstr(vm_content, "\"", ".mp3\"");
	if(!videoUrl)
	{
		vid_mate_error_default('no mp4 resource.');
        return null;
	}
	else
	{
		videoUrl = videoUrl + ".mp3";
	}
	
	rtn_video.title = videoTitle;
	rtn_video.url = global_document_url;
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;
	tmp_video_file.url = videoUrl;
	tmp_video_file.f_id = rtn_video.id;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	rtn_video.files.push(tmp_video_file);
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

function rcutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p2 = content.indexOf(suffix);
	if(-1 == p2)
	{
		return "";
	}

	content = content.substr(0, p2);

	var p1 = content.lastIndexOf(prefix);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1 + prefix_len , p2);
}
