var global_document_url = global_document_url || null;
var global_offset = 0;
var global_video_id = null;
var global_video_title = "";
var global_video_img = "";
var global_video = null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) 
	{
		return null;
	}
	
	//http://getcdn.hotstar.com/AVS/besc?action=GetCDN&asJson=Y&type=VOD&channel=TABLET&id=1000071254  
	if(-1 == vid_mate_url.indexOf("hotstar"))
	{
		return null;
	}

	var video_id = null;
	if(-1 == vid_mate_url.indexOf("action"))
	{
		return null;
	}
	
	video_id = vid_mate_get_parameter(vid_mate_url, 'id');
	if(!video_id)
	{
		return null;
	}
	
	global_video_id = video_id;
	return video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) 
	{
		vid_mate_set_canDownload(false);
		return false;
	} 
	else 
	{
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info... ...');
	global_document_url = url;
	url = "http://180.179.118.85:8888/get_m3u8.php?url=" + encodeURIComponent(global_document_url);
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info... ...');
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}
		
		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
		
	} catch (e) {
		vid_mate_error_default('hotstar 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(-1 != vm_content.indexOf("no m3u8 file exists"))
	{
		vid_mate_error_default("no m3u8 file exists");
		return null;
	}
	
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}
	
	var data = eval('('+vm_content+')');
	if(!data)
	{
		vid_mate_error_default('eval fail');
		return null;
	}

	var videoId = "";
	if(global_video_id)
	{
		videoId = global_video_id;
	}
	else
	{
		videoId = parseInt(Math.random() * 100000);
	}

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = 'hotstar';
	rtn_video.js_ver  = "1.01";
	rtn_video.js_info = "first version";

	if(data.title)
	{
		global_video_title = data.title;
	}

	if(data.img)
	{
		global_video_img = data.img;
	}

	if(global_video_title)
	{
		rtn_video.title = global_video_title;
	}
	else
	{
		rtn_video.title = "hotstar_" + global_video_id;
	}

	if(global_video_img)
	{
		rtn_video.picture_default = global_video_img;
		rtn_video.picture_big = global_video_img;
	}

	rtn_video.id = videoId;
	rtn_video.url = global_document_url;
	rtn_video.cookie = data.cookie;
	
	for(var i=0; i<data.data.length; ++i)
	{
		var obj = data.data[i];
		if(-1 != obj.title.indexOf("250x140"))
		{
			continue;
		}
		
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = obj.url;
		tmp_video_file.f_id = videoId + '_' + obj.title;
		tmp_video_file.format = 'm3u8';
		tmp_video_file.title = obj.title;
		tmp_video_file.length = -1;
		rtn_video.files.push(tmp_video_file);
	}

	var src_url = "http://api.apk.v-mate.mobi/tvshowv3_url?pageurl=" + encodeURIComponent(global_document_url);
	
	try_backend_reqeust(src_url);
	global_video = rtn_video;
	
	//vid_mate_setParseMsg(100, 100, 'Completed');
	//vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

function try_backend_reqeust(src_url)
{
        try {
                window.vbrowser.httpBegin(src_url);
                window.vbrowser.httpGet('backend_xhr_result()');
        } catch (e) {
                vid_mate_error_default('yodesi try_backend_reqeust');
                return null;
        }
}

function backend_xhr_result()
{
    var vid_mate_response;
        try
        {
        vid_mate_response = window.vbrowser.getHttpRes();
    }
        catch (e)
        {
                vid_mate_error_default("hotstar backend_xhr_result1");
                return null;
        }

    if (vid_mate_response != null && vid_mate_response.length > 0)
        {
        vid_mate_video_analytics_more(vid_mate_response);
    }
	else
	{
			vid_mate_error_default("hotstar backend_xhr_result2");
			return null;
	}
}

function vid_mate_video_analytics_more(vm_content)
{
        if(!vm_content)
        {
                vid_mate_error_default('hotstar backend vm_content is empty');
                return null;
        }

		var json = eval('(' + vm_content + ')'); 
		
		var img = json.image;
		var title = json.title;
		
		if(title)
		{
			global_video.title = title;
		}
		
		if(img)
		{
			global_video.picture_default = img;
			global_video.picture_big = img;
		}
		
        vid_mate_setParseMsg(100, 100, 'Completed');
        vid_mate_set_videoInfo(JSON.stringify(global_video));
}
		