var global_document_url = global_document_url || null;
var global_offset = 0;
var global_video_id = null;
var global_video_title = "";
var global_video_img = "";
var global_video = null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = window.location.pathname;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	if (vid_mate_url.substring(0,7) != "/watch/") {
		return null;
	}
	vid_mate_url = vid_mate_url.substring(7);
	if (vid_mate_url.indexOf("/") > 0) {
		vid_mate_url = vid_mate_url.substring(0,vid_mate_url.indexOf("/"));
	}
	return vid_mate_url;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) 
	{
		vid_mate_set_canDownload(false);
		return false;
	} 
	else 
	{
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    url = document.URL;
    vid_mate_setParseMsg(10, 20, 'Start Analytics');
	global_video_id = vid_mate_get_video_id(url);
	global_document_url = url;
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info... ...');
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}
		
		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('metacafe 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	var tmp_content = vm_content;
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}
	
	if(-1 == vm_content.indexOf("var flashvars ="))
	{
		vid_mate_error_default("no mp4 source");
		return null;
	}
	
	vm_content = cutstr(vm_content, "var flashvars = ", ";");
	var data = null;
	try 
	{
		data = eval('('+vm_content+')');
	}
	catch (e) 
	{
		vid_mate_error_default('metacafe data eval fail:is not json');
		return null;
	}

	var videoId = "";
	if(global_video_id)
	{
		videoId = global_video_id;
	}
	else
	{
		videoId = data.flashvars.video_id;
	}

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = 'metacafe';
	rtn_video.js_ver  = "1.01";
	rtn_video.js_info = "first version";
	if(data.preview)
	{
		global_video_img = data.preview;
	}

	var tmp_title = cutstr(tmp_content, "<title>", "</title>");
	if(tmp_title)
	{
		tmp_title = tmp_title.replace("\n", "");
		tmp_title = tmp_title.trim();
	}
	else
	{
		tmp_title = "metacafe video";
	}

	rtn_video.title = tmp_title;
	if(global_video_img)
	{
		rtn_video.picture_default = global_video_img;
		rtn_video.picture_big = global_video_img;
	}

	rtn_video.id = videoId;
	rtn_video.url = global_document_url;
	if(data.sources[0].src)
	{
		var tmp_url = data.sources[0].src;
		tmp_url = data.sources[0].src.replace(".m3u8", "_240p.m3u8");
		var new_url = "http://api.test.vidmate.net/proxy/get_metacafe_m3u8.php?id=" + rtn_video.id + "&url=" + encodeURIComponent(tmp_url);
				
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = new_url;
		tmp_video_file.f_id = videoId + '_' + "1";
		tmp_video_file.format = 'm3u8';
		tmp_video_file.title = "mp4(240p)";
		tmp_video_file.length = -1;
		rtn_video.files.push(tmp_video_file);

		tmp_url = data.sources[0].src.replace(".m3u8", "_360p.m3u8");
		new_url = "http://api.test.vidmate.net/proxy/get_metacafe_m3u8.php?id=" + rtn_video.id + "&url=" + encodeURIComponent(tmp_url);
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = new_url;
		tmp_video_file.f_id = videoId + '_' + "2";
		tmp_video_file.format = 'm3u8';
		tmp_video_file.title = "mp4(360p)";
		tmp_video_file.length = -1;
		rtn_video.files.push(tmp_video_file);
	}
	
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}