var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://gudanglagu.com/l/letto/letto-sebelum-cahaya/
	if(-1 == vid_mate_url.indexOf("gudanglagu"))
	{
		return null;
	}

	var arr = vid_mate_url.split("/");
	if(7 != arr.length && 6 != arr.length )
	{
		return null;
	}

	var vid_mate_video_id = "";
	if(7 == arr.length)
	{
		vid_mate_video_id = arr[5];
	}
	else if(6 == arr.length)
	{
		vid_mate_video_id = arr[4];
	}

	if(0 == vid_mate_video_id.length)
	{
		return null;
	}

	return vid_mate_video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('stafaband 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "gudanglagu";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	//title
	var title = rtn_video.id;
	title = title.replace(/-/g, " ");
	rtn_video.title = title;

	var tmp_re = new RegExp("rel=\"nofollow\" href=\"(.+?)\"");
	if (tmp_re.test(vm_content))
	{
		var tmp_m = vm_content.match(tmp_re);
		videoUrl = tmp_m[1];
		if(!videoUrl)
		{
			vid_mate_error_default('get video url fail.');
			return null;
		}
	}
	else
	{
		vid_mate_error_default('get video url fail');
		return null;
	}

	global_rtn_video = rtn_video;
	var videoUrlArray = [];
	videoUrlArray.push(videoUrl);

	var cookie = "";
	if(window.vbrowser.httpGetCookie)
	{
		cookie = window.vbrowser.httpGetCookie(global_document_url);
	}
	else
	{
		cookie = document.cookie;
	}

	try {
		window.vbrowser.httpBeginGetAll();
		var ua = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		for(var i=0; i<videoUrlArray.length; ++i)
		{
			var url = "http://api.test.vidmate.net/url?url="+encodeURIComponent(videoUrlArray[i]) + "&cookie="+encodeURIComponent(cookie)+"&ref="+encodeURIComponent(global_document_url)+"&ua="+encodeURIComponent(ua);
			window.vbrowser.httpAddUrl(url);
		}
		window.vbrowser.httpGetAll('vid_mate_app_xhr_more_result()');
	}
	catch (e) {
		vid_mate_error_default('gudanglagu url get fail');
		return null;
	}

	/*
	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = "mp3";
	tmp_video_file.title = "mp3";
	tmp_video_file.f_id = rtn_video.id+"_mp3";
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
	*/
}

function vid_mate_app_xhr_more_result() {
	var rtn_contents = [];
	try {
		var tmp_count = window.vbrowser.httpGetResCount();
		for (var i = 0;i < tmp_count;i ++) {
			var tmp_content = window.vbrowser.httpGetResAtIndex(i);
			rtn_contents.push(tmp_content);
		}
	} catch (e) {
		vid_mate_error_default('gudanglagu');
		return null;
	}

	vid_mate_video_analytics_more(rtn_contents);
}

function vid_mate_video_analytics_more(vm_content_array)
{
	for(var i=0; i<vm_content_array.length; ++i)
	{
		var videoUrl = vm_content_array[i];
		if(!videoUrl)
		{
			continue;
		}
		videoUrl = decodeURIComponent(videoUrl);
		videoUrl = videoUrl.replace(/&amp;/g, "&");
		videoUrl = videoUrl.replace(/ /g, "%20");
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = videoUrl;
		var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
		tmp_video_file.format = "mp3";
		tmp_video_file.title = "mp3";
		tmp_video_file.f_id = global_rtn_video.id + "_"+ tmp_format;
		global_rtn_video.files.push(tmp_video_file);
	}
	if(0 == global_rtn_video.files.length)
	{
		vid_mate_error_default('gudanglagu 99');
		return null;
	}
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(global_rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}


